FLOOR2:
	; <Handle for Position 2>
		ld a, (intPosition)
		cp 2
		jp nz, _FLOOR2_POS2_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intBack), a
		ld a, 1 \ ld (intFront), a \ ld (intLeft), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 3
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition

		ld a, (tmpK)
		ld c, 0
		cp kDown \ call z, movePosition
		cp kCapS \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS2_NEXT:
	; </Handle for Position 2>
	; <Handle for Position 0>
		ld a, (intPosition)
		cp 0
		jp nz, _FLOOR2_POS0_NEXT	

		ld a, 0 \ ld (intFront), a \ ld (intBack), a
		ld a, 1 \ ld (intRight), a \ ld (intLeft), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 18
		cp kDown \ call z, movePosition
		cp kCapS \ call z, movePosition

		ld a, (tmpK)
		ld c, 2
		cp kUp \ call z, movePosition
		cp kCapW \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS0_NEXT:
	; </Handle for Position 0>
	; <Handle for Position 18>
		ld a, (intPosition)
		cp 18
		jp nz, _FLOOR2_POS18_NEXT	

		ld a, 0 \ ld (intFront), a \ ld (intBack), a
		ld a, 1 \ ld (intRight), a \ ld (intLeft), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 20
		cp kDown \ call z, movePosition
		cp kCapS \ call z, movePosition

		ld a, (tmpK)
		ld c, 0
		cp kUp \ call z, movePosition
		cp kCapW \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS18_NEXT:
	; </Handle for Position 18>
	; <Handle for Position 20>
		ld a, (intPosition)
		cp 20
		jp nz, _FLOOR2_POS20_NEXT	

		ld a, 0 \ ld (intFront), a \ ld (intRight), a
		ld a, 1 \ ld (intBack), a \ ld (intLeft), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 19
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition

		ld a, (tmpK)
		ld c, 18
		cp kUp \ call z, movePosition
		cp kCapW \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS20_NEXT:
	; </Handle for Position 20>
	; <Handle for Position 3>
		ld a, (intPosition)
		cp 3
		jp nz, _FLOOR2_POS3_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 2
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 4
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS3_NEXT:
	; </Handle for Position 3>
	; <Handle for Position 19>
		ld a, (intPosition)
		cp 19
		jp nz, _FLOOR2_POS19_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 20
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 21
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS19_NEXT:
	; </Handle for Position 19>
	; <Handle for Position 4>
		ld a, (intPosition)
		cp 4
		jp nz, _FLOOR2_POS4_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 3
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 5
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS4_NEXT:
	; </Handle for Position 4>
	; <Handle for Position 21>
		ld a, (intPosition)
		cp 21
		jp nz, _FLOOR2_POS21_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 19
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 22
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS21_NEXT:
	; </Handle for Position 21>
	; <Handle for Position 9>
		ld a, (intPosition)
		cp 9
		jp nz, _FLOOR2_POS9_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intBack), a
		ld a, 1 \ ld (intFront), a \ ld (intLeft), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 10
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition

		ld a, (tmpK)
		ld c, 8
		cp kDown \ call z, movePosition
		cp kCapS \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS9_NEXT:
	; </Handle for Position 9>
	; <Handle for Position 8>
		ld a, (intPosition)
		cp 8
		jp nz, _FLOOR2_POS8_NEXT	

		ld a, 0 \ ld (intFront), a \ ld (intBack), a
		ld a, 1 \ ld (intRight), a \ ld (intLeft), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 7
		cp kDown \ call z, movePosition
		cp kCapS \ call z, movePosition

		ld a, (tmpK)
		ld c, 9
		cp kUp \ call z, movePosition
		cp kCapW \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS8_NEXT:
	; </Handle for Position 8>
	; <Handle for Position 7>
		ld a, (intPosition)
		cp 7
		jp nz, _FLOOR2_POS7_NEXT	

		ld a, 0 \ ld (intFront), a \ ld (intBack), a
		ld a, 1 \ ld (intRight), a \ ld (intLeft), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 6
		cp kDown \ call z, movePosition
		cp kCapS \ call z, movePosition

		ld a, (tmpK)
		ld c, 8
		cp kUp \ call z, movePosition
		cp kCapW \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS7_NEXT:
	; </Handle for Position 7>
	; <Handle for Position 6>
		ld a, (intPosition)
		cp 6
		jp nz, _FLOOR2_POS6_NEXT	

		ld a, 0 \ ld (intFront), a \ ld (intBack), a
		ld a, 1 \ ld (intRight), a \ ld (intLeft), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 5
		cp kDown \ call z, movePosition
		cp kCapS \ call z, movePosition

		ld a, (tmpK)
		ld c, 7
		cp kUp \ call z, movePosition
		cp kCapW \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS6_NEXT:
	; </Handle for Position 6>
	; <Handle for Position 5>
		ld a, (intPosition)
		cp 5
		jp nz, _FLOOR2_POS5_NEXT	

		ld a, 0 \ ld (intFront), a \ ld (intLeft), a
		ld a, 1 \ ld (intRight), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 4
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 6
		cp kUp \ call z, movePosition
		cp kCapW \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS5_NEXT:
	; </Handle for Position 5>
	; <Handle for Position 22>
		ld a, (intPosition)
		cp 22
		jp nz, _FLOOR2_POS22_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 21
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 23
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS22_NEXT:
	; </Handle for Position 22>
	; <Handle for Position 10>
		ld a, (intPosition)
		cp 10
		jp nz, _FLOOR2_POS10_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 9
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 11
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS10_NEXT:
	; </Handle for Position 10>
	; <Handle for Position 23>
		ld a, (intPosition)
		cp 23
		jp nz, _FLOOR2_POS23_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 22
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 25
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS23_NEXT:
	; </Handle for Position 23>
	; <Handle for Position 11>
		ld a, (intPosition)
		cp 11
		jp nz, _FLOOR2_POS11_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 10
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 12
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS11_NEXT:
	; </Handle for Position 11>
	; <Handle for Position 25>
		ld a, (intPosition)
		cp 25
		jp nz, _FLOOR2_POS25_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 23
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 26
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS25_NEXT:
	; </Handle for Position 25>
	; <Handle for Position 12>
		ld a, (intPosition)
		cp 12
		jp nz, _FLOOR2_POS12_NEXT	

		ld a, 0 \ ld (intBack), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intRight), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 11
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 13
		cp kDown \ call z, movePosition
		cp kCapS \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS12_NEXT:
	; </Handle for Position 12>
	; <Handle for Position 13>
		ld a, (intPosition)
		cp 13
		jp nz, _FLOOR2_POS13_NEXT	

		ld a, 0 \ ld (intFront), a \ ld (intBack), a
		ld a, 1 \ ld (intRight), a \ ld (intLeft), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 14
		cp kDown \ call z, movePosition
		cp kCapS \ call z, movePosition

		ld a, (tmpK)
		ld c, 12
		cp kUp \ call z, movePosition
		cp kCapW \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS13_NEXT:
	; </Handle for Position 13>
	; <Handle for Position 14>
		ld a, (intPosition)
		cp 14
		jp nz, _FLOOR2_POS14_NEXT	

		ld a, 0 \ ld (intFront), a \ ld (intBack), a
		ld a, 1 \ ld (intRight), a \ ld (intLeft), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 16
		cp kDown \ call z, movePosition
		cp kCapS \ call z, movePosition

		ld a, (tmpK)
		ld c, 13
		cp kUp \ call z, movePosition
		cp kCapW \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS14_NEXT:
	; </Handle for Position 14>
	; <Handle for Position 16>
		ld a, (intPosition)
		cp 16
		jp nz, _FLOOR2_POS16_NEXT	

		ld a, 0 \ ld (intFront), a \ ld (intRight), a
		ld a, 1 \ ld (intBack), a \ ld (intLeft), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 17
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition

		ld a, (tmpK)
		ld c, 14
		cp kUp \ call z, movePosition
		cp kCapW \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS16_NEXT:
	; </Handle for Position 16>
	; <Handle for Position 26>
		ld a, (intPosition)
		cp 26
		jp nz, _FLOOR2_POS26_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 25
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 27
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS26_NEXT:
	; </Handle for Position 26>
	; <Handle for Position 17>
		ld a, (intPosition)
		cp 17
		jp nz, _FLOOR2_POS17_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 16
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 32
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS17_NEXT:
	; </Handle for Position 17>
	; <Handle for Position 27>
		ld a, (intPosition)
		cp 27
		jp nz, _FLOOR2_POS27_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 26
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 28
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS27_NEXT:
	; </Handle for Position 27>
	; <Handle for Position 32>
		ld a, (intPosition)
		cp 32
		jp nz, _FLOOR2_POS32_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 17
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 34
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS32_NEXT:
	; </Handle for Position 32>
	; <Handle for Position 28>
		ld a, (intPosition)
		cp 28
		jp nz, _FLOOR2_POS28_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 27
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 41
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS28_NEXT:
	; </Handle for Position 28>
	; <Handle for Position 34>
		ld a, (intPosition)
		cp 34
		jp nz, _FLOOR2_POS34_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 32
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 35
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS34_NEXT:
	; </Handle for Position 34>
	; <Handle for Position 41>
		ld a, (intPosition)
		cp 41
		jp nz, _FLOOR2_POS41_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 28
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 40
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS41_NEXT:
	; </Handle for Position 41>
	; <Handle for Position 35>
		ld a, (intPosition)
		cp 35
		jp nz, _FLOOR2_POS35_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 34
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 36
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS35_NEXT:
	; </Handle for Position 35>
	; <Handle for Position 40>
		ld a, (intPosition)
		cp 40
		jp nz, _FLOOR2_POS40_NEXT	

		ld a, 0 \ ld (intRight), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 41
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 39
		cp kRight \ call z, movePosition
		cp kCapD \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS40_NEXT:
	; </Handle for Position 40>
	; <Handle for Position 36>
		ld a, (intPosition)
		cp 36
		jp nz, _FLOOR2_POS36_NEXT	

		ld a, 0 \ ld (intBack), a \ ld (intLeft), a
		ld a, 1 \ ld (intFront), a \ ld (intRight), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 35
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 37
		cp kDown \ call z, movePosition
		cp kCapS \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS36_NEXT:
	; </Handle for Position 36>
	; <Handle for Position 37>
		ld a, (intPosition)
		cp 37
		jp nz, _FLOOR2_POS37_NEXT	

		ld a, 0 \ ld (intFront), a \ ld (intBack), a
		ld a, 1 \ ld (intRight), a \ ld (intLeft), a
		ld hl, textStairs \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 36
		cp kUp \ call z, movePosition
		cp kCapW \ call z, movePosition

		ld a, (tmpK) \ cp kDown \ call z, advanceFloor \ cp kCapS \ call z, advanceFloor
		jp _FLOOR2_END

_FLOOR2_POS37_NEXT:
	; </Handle for Position 37>
	; <Handle for Position 38>
		ld a, (intPosition)
		cp 38
		jp nz, _FLOOR2_POS38_NEXT	

		ld a, 0 \ ld (intFront), a \ ld (intBack), a
		ld a, 1 \ ld (intRight), a \ ld (intLeft), a
		ld hl, textStairs \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 39
		cp kDown \ call z, movePosition
		cp kCapS \ call z, movePosition

		ld a, (tmpK) \ cp kUp \ call z, advanceFloor \ cp kCapW \ call z, advanceFloor
		jp _FLOOR2_END

_FLOOR2_POS38_NEXT:
	; </Handle for Position 38>
	; <Handle for Position 39>
		ld a, (intPosition)
		cp 39
		jp nz, _FLOOR2_POS39_NEXT	

		ld a, 0 \ ld (intFront), a \ ld (intLeft), a
		ld a, 1 \ ld (intRight), a \ ld (intBack), a
		ld hl, nothing \ ld (textMAIN), hl


		ld a, (tmpK)
		ld c, 40
		cp kLeft \ call z, movePosition
		cp kCapA \ call z, movePosition

		ld a, (tmpK)
		ld c, 38
		cp kUp \ call z, movePosition
		cp kCapW \ call z, movePosition
		jp _FLOOR2_END

_FLOOR2_POS39_NEXT:
	; </Handle for Position 39>
_FLOOR2_END:
	ld a, 0
	ld (tmpK), a
	ret

